package com.brilliance.isc.common.entmod.vo;

import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
@JsonIgnoreProperties(ignoreUnknown = true)
public class EntmodBizInfo {

    private String transName;

    private String doccur;

    private BigDecimal docamt = BigDecimal.ZERO;

    private String rol;

    //参与方信息
    private List<PtsptaVo> ptsList;

    public void reset() {
        if (ptsList == null) {
            ptsList = new ArrayList<>();
        }
        ptsList.forEach(p -> p.reset());
    }

}
